Bug 1016645 - Deprecate option `serial_autoincrement`
Deprecate option `serial_autoincrement`
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: ipa (Show other bugs)
7.0
Unspecified Unspecified
medium Severity unspecified
: rc
: ---
Assigned To: Martin Kosek
Namita Soman
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-08 09:18 EDT by Dmitri Pal
Modified: 2014-06-17 20:12 EDT (History)
3 users (show)

See Also:
Fixed In Version: ipa-3.3.2-2.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-13 07:38:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dmitri Pal 2013-10-08 09:18:08 EDT
This bug is created as a clone of upstream ticket:
https://fedorahosted.org/freeipa/ticket/3962

SOA serial number incrementation is be required for DNSSEC, so we should not allow users to disable it.
Comment 1 Martin Kosek 2013-10-09 10:17:17 EDT
I discussed this ticket with Namita and we decided to drop --no-serial-increment option from all our installation tools. It will be hard-coded to "yes" in the /etc/named.conf configuration for this release.
Comment 4 Scott Poore 2014-01-28 12:49:01 EST
Verified.

Version ::

ipa-server-3.3.3-15.el7.x86_64

Test Results ::

[root@master ~]# zgrep no-serial-increment /usr/share/man/man1/ipa*.gz

[root@master ~]# find /usr/lib/python2.7/site-packages/ -type f -exec grep no-serial-increment {} /dev/null \;

[root@master ~]# ipa-server-install --no-serial-increment
Usage: ipa-server-install [options]

ipa-server-install: error: no such option: --no-serial-increment

[root@master ~]# ipa-dns-install --no-serial-increment
Usage: ipa-dns-install [options]

ipa-dns-install: error: no such option: --no-serial-increment
Comment 5 Ludek Smid 2014-06-13 07:38:49 EDT
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.

Note You need to log in before you can comment on or make changes to this bug.